How can we help?

How to install the NOW TV app on Android devices

You can watch NOW TV on most Android devices running 5.0 or later, just as long as they were bought in the UK and are in their original state.

 

How to watch NOW TV on your Android tablet or smartphone

 

Step 1: Download the app

You'll need to download our app to watch NOW TV on your Android device:

  • Go to Google Play.
  • Search for the NOW TV app.
  • Install it.

You can download the NOW TV app from either the AppGallery or the Google Play Store, but you'll need to have Google Play on your device to be able to use the app. NOW TV isn't available on Huawei devices that don't have access to Google Play.

You might just need to deactivate the Vibrant Colour feature. Just head to Settings, select Display and Vibrant Colour Display, and set it to Off.

If you're seeing an error message on your OnePlus device saying, Viewing Stopped. Something's gone wrong. If the problem persists, contact Online Support team. PLAYBACK_CODEC_DECODING_ERROR, turning off Vibrant Colour and restarting the NOW TV app should fix it.

 

Step 2: Sign in

  • Already got a NOW TV account? - Simply open the app and sign in with your NOW TV username and password. Be sure to enter your password carefully, as it’s case sensitive.
  • Haven’t signed up to NOW TV? - If you don’t have a NOW TV account yet, set one up here

 

Step 3: Sit back and start watching

Find something to watch – whether it’s an epic blockbuster, an award-winning box set or a big match. 

 

 

FAQs

To watch NOW TV in the best quality on your tablet or smartphone, you’ll need:

Operating system:   5.0 or higher
Processor:    1.0 GHz or higher
Memory:     1GB RAM
Screen resolution:    480x800   
Eye-tracking features:   Should be disabled

No. On an Android device, you'll need to use the NOW TV app.

If you’re having a few issues running the NOW TV app on your Android tablet or smartphone, it could be because:

  • your device has been modified or rooted – even if this was done by the manufacturer
  • you bought your device outside of the UK
  • your device is running Android 4.0 which is no longer supported (if possible, please update to 5.0 or later).
  • it’s a Kindle Fire HD device (not supported).

Did you find this helpful?

Feedback